Beta

Delete an automation

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/automations/{automation_id}/delete

Deletes one of your automations and its run log. Chats from past runs stay.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

automation_id*string
Match^aut_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
curl -X POST 'https://example.com/v1/automations/string/delete' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{}'
{  "data": {    "id": "string",    "deleted": true  },  "request_id": "string"}